[network] make centos 7.1 default patch

Bug #1483794 reported by Mark Vanderwiel on 2015-08-11
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenStack + Chef
Undecided
Mark Vanderwiel

Bug Description

In the network cookbook, there are attributes for overriding the package version of dnsmasq for centos. Right now this is for 6.5 and later, but it's not needed in 7.1 and should be changed to handle that.

case node['platform']
when 'centos'
  if node['platform_version'].to_f >= 6.5

https://github.com/openstack/cookbook-openstack-network/blob/master/recipes/dhcp_agent.rb#L71

Fix proposed to branch: master
Review: https://review.openstack.org/211628

Changed in openstack-chef:
status: New → In Progress

Reviewed: https://review.openstack.org/211628
Committed: https://git.openstack.org/cgit/openstack/cookbook-openstack-network/commit/?id=2d463d69ec454abda9dbaaa6d8f249f4a68c12f7
Submitter: Jenkins
Branch: master

commit 2d463d69ec454abda9dbaaa6d8f249f4a68c12f7
Author: Mark Vanderwiel <email address hidden>
Date: Tue Aug 11 10:25:36 2015 -0500

    Fix dnsmasq centos for 7.1

    Change the 6.5 dnsmasq checking to not include 7.1 which contains
    the package fixes.

    Change-Id: Ic9b8e2151f6218522dc592d3974073ea446559ac
    Closes-Bug: #1483794

Changed in openstack-chef:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers